| Home >> All >> org >> apache >> cocoon >> [ xml Javadoc ] |
| | org.apache.cocoon.xml.dom.* (4) | | org.apache.cocoon.xml.xlink.* (3) |
org.apache.cocoon.xml: Javadoc index of package org.apache.cocoon.xml.
Package Samples:
org.apache.cocoon.xml.dom
org.apache.cocoon.xml.xlink
Classes:
ExtendedXLinkPipe: This class extends the XLink semantic capabilities to understand those elements that are have default linking semantics associated. This class reacts on 'href', 'src', and 'background' attributes and is able to understand the semantics of XHTML/WML/SMIL/SVG and all the rest of the languages that use either XLink of the above attributes. NOTE: this class is clearly a hack and is not future compatible, but since many XML formats to date are not compatible with the XLink semantics this is what we have to do to live in the bleeding edge. Once there will be a way to remove this, that will be a happy ...
DocumentHandlerWrapper: This class is an utility class "wrapping" around a SAX version 1.0 DocumentHandler and forwarding it those events received throug its XMLConsumers interface. This class fully supports XML namespaces, converting startPrefixMapping(...) and endPrefixMapping(...) calls into appropriate xmlns and xmlns:... element attributes.
AbstractDOMFragment: Abstract implementation of XMLFragment for objects that are more easily represented as a DOM. The toSAX() method is implemented by streaming (using a DOMStreamer ) the results of toDOM() that must be implemented by concrete subclasses.
DocumentHandlerAdapter: This class is an utility class "adapting" a SAX version 1.0 DocumentHandler , to SAX version 2 ContentHandler . This class fully supports XML namespaces, converting xmlns and xmlns:... element attributes into appropriate startPrefixMapping(...) and endPrefixMapping(...) calls.
AbstractSAXFragment: Abstract implementation of XMLFragment for objects that are more easily represented as SAX events. The toDOM() method is implemented by piping in a DOMBuilder the results of toSAX() that must be implemented by concrete subclasses.
XLinkPipe: This class implements a SAX consumer wrapper that transforms the general SAX semantic into XLink semantics for easier consumption. Classes should extend this class and overwrite the abstract method to consume the XLink events that come in as SAX events. NOTE: this is based on XLink W3C Candidate Recommendation 3 July 2000
XMLFragment: This interface must be implemented by classes willing to provide an XML representation of their current state. This interface exists in both Cocoon 1 and Cocoon 2 and to ensure a minimal compatibility between the two versions. Cocoon 2 only objects can implement the SAX-only XMLizable interface.
EmbeddedXMLPipe: This class implements a ContentHandler for embedding a full SAX event stream into an existing stream of SAX events. An instance of this class will pass unmodified all the SAX events to the linked ContentHandler, but will ignore the startDocument and endDocument events.
FormBeanBinder: Binds an HTML Form to a JavaBean or DOM node. Expects that all request parameter names are XPath expressions to properties of the bean. For each request parameter, finds and assigns its value to the JavaBean property corresponding to the parameter's name
XMLProducer: This interfaces identifies classes that produce XML data, sending SAX events to the configured XMLConsumer . It's beyond the scope of this interface to specify a way in which the XML data production is started.
IncludeXMLConsumer: A special purpose XMLConsumer used for including files. It basically ignores the startDocument , endDocument , startDTD and endDTD messages.
XMLConsumer: This interfaces identifies classes that consume XML data, receiving notification of SAX events. This interface unites the idea of SAX ContentHandler and LexicalHandler .
ContentHandlerWrapper: This class is an utility class "wrapping" around a SAX version 2.0 ContentHandler and forwarding it those events received throug its XMLConsumers interface.
Form: Encapsulates a form bean and the validation result in a single class. It is created automatically by the FormValidatingAction
SVGBuilder: The SVGBuilder is a utility class that will generate a SVG-DOM Document from SAX events using Batik's SVGDocumentFactory.
XMLizable: This interface can be implemented by classes willing to provide an XML representation of their current state as SAX events.
AbstractXMLConsumer: This abstract class provides default implementation of the methods specified by the XMLConsumer interface.
AbstractXMLProducer: This abstract class provides default implementation of the methods specified by the XMLProducer interface.
XLinkHandler: This interface indicates an XLinkHandler that uses the same event driven design patterns that SAX enforces.
DOMStreamer: The DOMStreamer is a utility class that will generate SAX events from a W3C DOM Document.
DOMBuilder: The DOMBuilder is a utility class that will generate a W3C DOM Document from SAX events.
AbstractXMLPipe: This class provides a bridge class to connect to existing content handlers and lexical handlers.
NamespacesTable: This utility class is used to keep track namespaces declarations and resolve namespaces names.
DOMFactory: This interface identifies classes producing instances of DOM Document objects.
| Home | Contact Us | Privacy Policy | Terms of Service |